/** @file win_recvidbox.h

	HITACHI MB-S1 Emulator 'EmuB-S1'
	Skelton for retropc emulator

	@author Sasaji
	@date   2015.05.30 -

	@brief [ record video box ]
*/

#ifndef _RECVIDEOBOX_H_
#define _RECVIDEOBOX_H_

#include <windows.h>
#include "win_dialogbox.h"
#include "../../config.h"

namespace GUI_WIN
{

#define WIN_RECVIDEO_LIBS 5

/**
	@brief volume dialog
*/
class RecVideoBox : public CDialogBox
{
private:
	int typnum;
	int codnums[WIN_RECVIDEO_LIBS];
	int quanums[WIN_RECVIDEO_LIBS];
	bool enables[WIN_RECVIDEO_LIBS];

	struct st_item_range {
		int first;
		int last;
	} item_range[WIN_RECVIDEO_LIBS];

	void select_tabctrl(int tab_num);

	INT_PTR onInitDialog(UINT, WPARAM, LPARAM);
	INT_PTR onCommand(UINT, WPARAM, LPARAM);
	INT_PTR onNotify(UINT, WPARAM, LPARAM);
	INT_PTR onOK(UINT, WPARAM, LPARAM);

public:
	RecVideoBox(HINSTANCE, CFont *, EMU *);
	~RecVideoBox();

};

}; /* namespace GUI_WIN */

#endif /* _RECVIDEOBOX_H_ */
